Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class EventDefinition

    java.lang.Object
      |
      +--oracle.portal.provider.v2.EventDefinition

All Implemented Interfaces:
  Validateable

Direct Known Subclasses:
  DefaultEventDefinition

public class EventDefinition
extends java.lang.Object
implements Validateable

An EventDefinition represents the metadata which describes an event that can be raised by this portlet.

Constructor Summary
`EventDefinition()` Default constructor.

Method Summary
`void` | `addParameter(ParameterDefinition parameter)` Add a parameter to the event.
`java.lang.String` | `getDescription(java.util.Locale l)`
`java.lang.String` | `getDescriptionKey()`
`java.lang.String` | `getDisplayName(java.util.Locale l)`
`java.lang.String` | `getDisplayNameKey()`
`java.lang.String` | `getName()`
`ParameterDefinition[]` | `getParameters()`
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale l)` Gets the resource bundle for this Portlet in the given Locale.
`void` | `setDescription(java.lang.String description)` Sets the event's description.
`void` | `setDescriptionKey(java.lang.String descriptionKey)` Sets the event's description key.
`void` | `setDisplayName(java.lang.String displayName)` Sets the event's display name.
`void` | `setDisplayNameKey(java.lang.String displayNameKey)` Sets the event's display name key.
`void` | `setName(java.lang.String name)` Set the event's name.
`void` | `setResource(java.lang.String resourceClassName)` Sets the name of the default resource bundle class for this parameter
`void` | `validate(java.lang.String context, ValidationError errors)` Validates the internal state of this `EventDefinition` instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDefinition

    public EventDefinition()

  Default constructor.

Method Detail

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.util.Locale l)

  Gets the resource bundle for this Portlet in the given Locale.

  Parameters:
    `l` - the Locale of the resource bundle being requested.
  Returns:
    the resource bundle for this parameter. null if there isn't one.

### setResource

    public void setResource(java.lang.String resourceClassName)

  Sets the name of the default resource bundle class for this parameter

  Parameters:
    `resourceClassName` - full name of class extending `ResourceBundle`.

### getName

    public java.lang.String getName()

  Returns:
    this event's name.

### setName

    public void setName(java.lang.String name)

  Set the event's name. This name must be unique across all events defined for this portlet.

  Parameters:
    `name` - the event's name.

### getDisplayName

    public java.lang.String getDisplayName(java.util.Locale l)

  Returns:
    this event's display name.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the event's display name. This is a short name used in the Portal UI.

  Parameters:
    `displayName` - a friendly name to be used in the Portal UI.

### getDisplayNameKey

    public java.lang.String getDisplayNameKey()

  Returns:
    the key used to look up this event's display name from a resource bundle.

### setDisplayNameKey

    public void setDisplayNameKey(java.lang.String displayNameKey)

  Sets the event's display name key.

  Parameters:
    `displayNameKey` - the string value for the key used to look up the event's display name in a resource bundle.

### getDescription

    public java.lang.String getDescription(java.util.Locale l)

  Returns:
    this event's description .

### setDescription

    public void setDescription(java.lang.String description)

  Sets the event's description. This is displayed in the Portal UI to give the page designer a better idea of what it will be used for.

  Parameters:
    `description` - a short description of what this event is.

### getDescriptionKey

    public java.lang.String getDescriptionKey()

  Returns:
    the key used to look up this event's description from a resource bundle.

### setDescriptionKey

    public void setDescriptionKey(java.lang.String descriptionKey)

  Sets the event's description key.

  Parameters:
    `descriptionKey` - the string value for the key used to look up the event's description in a resource bundle.

### getParameters

    public ParameterDefinition[] getParameters()

  Returns:
    the parameters passed as part of this event.

### addParameter

    public void addParameter(ParameterDefinition parameter)

  Add a parameter to the event. These are the parameters which will be passed with the event when it is raised. They are rendered by the portlet with the event.

  Parameters:
    `parameter` - a ParameterDefinition to passed as part of this event.

### validate

    public void validate(java.lang.String context,
                         ValidationError errors)

  Validates the internal state of this `EventDefinition` instance. Errors found are reported using the supplied `ValidationError` instance.

  Specified by:
    `validate` in interface `Validateable`
  Parameters:
    `context` - The context of the calling instance.
    `errors` - The current list of errors.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.